## NAME

d.extract - Select and extract vectors with mouse into new vector map

## KEYWORDS

display

## SYNOPSIS

d.extract
d.extract help
d.extract input=name output=name [type=string[,string,...]] [color=string] [hcolor=string] [--overwrite]

### Flags:

--overwrite
  Force overwrite of output files

### Parameters:

input=name
  Name of input vector map
output=name
  Name for output vector map
type=string[,string,...]
  Type
  Options: point,line,boundary,centroid,area,face
  Default: point,line,boundary,centroid,area,face
color=string
  Original line color
  Default: black
hcolor=string
  Highlight color
  Default: red

## DESCRIPTION

d.extract allows a user to graphically select vector objects from an existing vector map and creates a new map containing only the selected objects.

## EXAMPLE

### Graphically extract roads from a roads map:

    d.mon x0
    d.vect roads
    d.extract input=roads output=interstate

## SEE ALSO

v.extract

## AUTHOR

Radim Blazek, Markus Neteler

Last changed: $Date: 2006/08/10 13:32:49 $

Main index - display index - Full index